Package org.iirds.dita.ot.plugin.module

# Class IirdsModelBuilderImpl

java.lang.Object
org.iirds.dita.ot.plugin.module.IirdsModelBuilderImpl

All Implemented Interfaces:
  `IirdsModelBuilder`

public class IirdsModelBuilderImpl extends Object implements IirdsModelBuilder
Builds an iiRDS model

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) org.apache.jena.rdf.model.Resource`
  `document`
  `(package private) org.apache.jena.rdf.model.Resource`
  `iirdsPackage`
  `(package private) TopicTypeMapper`
  `mapper`
  `(package private) static final String`
  `PROP_IO_IRI`
  `(package private) static final String`
  `PROP_IRI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IirdsModelBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IirdsModelBuilder`
  `addDirectory(ToCNode node)`
  `protected org.apache.jena.rdf.model.Resource`
  `addDirectoryNodes(ToCNode node, org.apache.jena.rdf.model.Resource parent)`
  `protected void`
  `addInfoObjectNodes(ToCNode node)`
  `IirdsModelBuilder`
  `addInfoObjects(ToCNode root)`
  `IirdsModelBuilder`
  `addInformationUnits(ToCNode root)`
  `IirdsModelBuilder`
  `addMetadata(ToCNode root)`
  `protected void`
  `addMissingDocumentTypes()`
  `IirdsModelBuilder`
  `addPackage(ToCNode node)`
  `protected void`
  `addTopicNodes(ToCNode node)`
  `IirdsModelBuilder`
  `completeModel(ToCNode root)`
  `protected String`
  `getFormat(String uri)`
  `protected org.apache.jena.rdf.model.Model`
  `getInfModel()`
  `(package private) IRIHandler`
  `getIRIHandler()`
  `org.apache.jena.rdf.model.Model`
  `getModel()`
  `protected String`
  `prefixContentPath(String path)`
  `protected String`
  `replaceExtension(String path)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_IRI

    static final String PROP_IRI
    See Also:
      - Constant Field Values

  - ### PROP_IO_IRI

    static final String PROP_IO_IRI
    See Also:
      - Constant Field Values

  - ### iirdsPackage

    org.apache.jena.rdf.model.Resource iirdsPackage

  - ### document

    org.apache.jena.rdf.model.Resource document

  - ### mapper

    TopicTypeMapper mapper

- ## Constructor Details

  - ### IirdsModelBuilderImpl

    public IirdsModelBuilderImpl()

- ## Method Details

  - ### getIRIHandler

    IRIHandler getIRIHandler()

  - ### addInfoObjects

    public IirdsModelBuilder addInfoObjects(ToCNode root)
    Specified by:
      `addInfoObjects` in interface `IirdsModelBuilder`

  - ### addInformationUnits

    public IirdsModelBuilder addInformationUnits(ToCNode root)
    Specified by:
      `addInformationUnits` in interface `IirdsModelBuilder`

  - ### addPackage

    public IirdsModelBuilder addPackage(ToCNode node)
    Specified by:
      `addPackage` in interface `IirdsModelBuilder`

  - ### addDirectory

    public IirdsModelBuilder addDirectory(ToCNode node)
    Specified by:
      `addDirectory` in interface `IirdsModelBuilder`

  - ### addMetadata

    public IirdsModelBuilder addMetadata(ToCNode root)
    Specified by:
      `addMetadata` in interface `IirdsModelBuilder`

  - ### completeModel

    public IirdsModelBuilder completeModel(ToCNode root)
    Specified by:
      `completeModel` in interface `IirdsModelBuilder`

  - ### addMissingDocumentTypes

    protected void addMissingDocumentTypes()

  - ### getInfModel

    protected org.apache.jena.rdf.model.Model getInfModel()

  - ### addDirectoryNodes

    protected org.apache.jena.rdf.model.Resource addDirectoryNodes(ToCNode node, org.apache.jena.rdf.model.Resource parent)

  - ### addInfoObjectNodes

    protected void addInfoObjectNodes(ToCNode node)

  - ### addTopicNodes

    protected void addTopicNodes(ToCNode node)

  - ### getFormat

    protected String getFormat(String uri)

  - ### prefixContentPath

    protected String prefixContentPath(String path)

  - ### replaceExtension

    protected String replaceExtension(String path)

  - ### getModel

    public org.apache.jena.rdf.model.Model getModel()
    Specified by:
      `getModel` in interface `IirdsModelBuilder`